For the complete documentation index, see llms.txt. This page is also available as Markdown.

Display Group

Display Groups

Get Display Groups

get
Query parameters
displayGroupIdintegerOptional

Filter by DisplayGroup Id

displayGroupstringOptional

Filter by DisplayGroup Name

displayIdintegerOptional

Filter by DisplayGroups containing a specific display

nestedDisplayIdintegerOptional

Filter by DisplayGroups containing a specific display in there nesting

dynamicCriteriastringOptional

Filter by DisplayGroups containing a specific dynamic criteria

tagsstringOptional

Filter by tags

exactTagsintegerOptional

A flag indicating whether to treat the tags filter as an exact match

logicalOperatorstringOptional

When filtering by multiple Tags, which logical operator should be used? AND|OR

isDisplaySpecificintegerOptional

Filter by whether the Display Group belongs to a Display or is user created

forScheduleintegerOptional

Should the list be refined for only those groups the User can Schedule against?

folderIdintegerOptional

Filter by Folder ID

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

a successful response

application/json
get/displaygroup
GET /api/displaygroup HTTP/1.1
Accept: */*
200

a successful response

[
  {
    "displayGroupId": 1,
    "displayGroup": "text",
    "description": "text",
    "isDisplaySpecific": 1,
    "isDynamic": 1,
    "dynamicCriteria": "text",
    "dynamicCriteriaLogicalOperator": "text",
    "dynamicCriteriaTags": "text",
    "dynamicCriteriaExactTags": 1,
    "dynamicCriteriaTagsLogicalOperator": "text",
    "userId": 1,
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "bandwidthLimit": 1,
    "groupsWithPermissions": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "folderId": 1,
    "permissionsFolderId": 1,
    "ref1": "text",
    "ref2": "text",
    "ref3": "text",
    "ref4": "text",
    "ref5": "text"
  }
]

Add a Display Group

post

Add a new Display Group to the CMS

Body
displayGroupstringRequired

The Display Group Name

descriptionstringOptional

The Display Group Description

tagsstringOptional

A comma separated list of tags for this item

isDynamicintegerRequired

Flag indicating whether this DisplayGroup is Dynamic

dynamicCriteriastringOptional

The filter criteria for this dynamic group. A comma separated set of regular expressions to apply

logicalOperatorNamestringOptional

When filtering by multiple dynamic criteria, which logical operator should be used? AND|OR

dynamicCriteriaTagsstringOptional

The filter criteria for this dynamic group. A comma separated set of regular expressions to apply

exactTagsintegerOptional

When filtering by Tags, should we use exact match?

logicalOperatorstringOptional

When filtering by Tags, which logical operator should be used? AND|OR

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
201

successful operation

application/json
post/displaygroup
POST /api/displaygroup HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 207

"displayGroup='text'&description='text'&tags='text'&isDynamic=1&dynamicCriteria='text'&logicalOperatorName='text'&dynamicCriteriaTags='text'&exactTags=1&logicalOperator='text'&folderId=1"
201

successful operation

{
  "displayGroupId": 1,
  "displayGroup": "text",
  "description": "text",
  "isDisplaySpecific": 1,
  "isDynamic": 1,
  "dynamicCriteria": "text",
  "dynamicCriteriaLogicalOperator": "text",
  "dynamicCriteriaTags": "text",
  "dynamicCriteriaExactTags": 1,
  "dynamicCriteriaTagsLogicalOperator": "text",
  "userId": 1,
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "bandwidthLimit": 1,
  "groupsWithPermissions": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "folderId": 1,
  "permissionsFolderId": 1,
  "ref1": "text",
  "ref2": "text",
  "ref3": "text",
  "ref4": "text",
  "ref5": "text"
}

Display Group Search by ID

get

Get the Display Group object specified by the provided displayGroupId

Path parameters
displayGroupIdintegerRequired

Numeric ID of the Display Group to get

Responses
200

successful operation

application/json

Class DisplayGroup

displayGroupIdintegerOptional

The displayGroup Id

displayGroupstringOptional

The displayGroup Name

descriptionstringOptional

The displayGroup Description

isDisplaySpecificintegerOptional

A flag indicating whether this displayGroup is a single display displayGroup

isDynamicintegerOptional

A flag indicating whether this displayGroup is dynamic

dynamicCriteriastringOptional

Criteria for this dynamic group. A comma separated set of regular expressions to apply

dynamicCriteriaLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple dynamic criteria? OR|AND

dynamicCriteriaTagsstringOptional

Criteria for this dynamic group. A comma separated set of tags to apply

dynamicCriteriaExactTagsintegerOptional

Flag indicating whether to filter by exact Tag match

dynamicCriteriaTagsLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Tags? OR|AND

userIdintegerOptional

The UserId who owns this display group

bandwidthLimitintegerOptional

The display bandwidth limit

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this DisplayGroup

createdDtstringOptional

The datetime this entity was created

modifiedDtstringOptional

The datetime this entity was last modified

folderIdintegerOptional

The id of the Folder this Display Group belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Display Group

ref1stringOptional

Optional Reference 1

ref2stringOptional

Optional Reference 2

ref3stringOptional

Optional Reference 3

ref4stringOptional

Optional Reference 4

ref5stringOptional

Optional Reference 5

get/displaygroup/{id}
GET /api/displaygroup/{id} HTTP/1.1
Accept: */*
200

successful operation

{
  "displayGroupId": 1,
  "displayGroup": "text",
  "description": "text",
  "isDisplaySpecific": 1,
  "isDynamic": 1,
  "dynamicCriteria": "text",
  "dynamicCriteriaLogicalOperator": "text",
  "dynamicCriteriaTags": "text",
  "dynamicCriteriaExactTags": 1,
  "dynamicCriteriaTagsLogicalOperator": "text",
  "userId": 1,
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "bandwidthLimit": 1,
  "groupsWithPermissions": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "folderId": 1,
  "permissionsFolderId": 1,
  "ref1": "text",
  "ref2": "text",
  "ref3": "text",
  "ref4": "text",
  "ref5": "text"
}

Edit a Display Group

put

Edit an existing Display Group identified by its Id

Path parameters
displayGroupIdintegerRequired

The displayGroupId to edit.

Body
displayGroupstringRequired

The Display Group Name

descriptionstringOptional

The Display Group Description

tagsstringOptional

A comma separated list of tags for this item

isDynamicintegerRequired

Flag indicating whether this DisplayGroup is Dynamic

dynamicCriteriastringOptional

The filter criteria for this dynamic group. A command separated set of regular expressions to apply

logicalOperatorNamestringOptional

When filtering by multiple dynamic criteria, which logical operator should be used? AND|OR

dynamicCriteriaTagsstringOptional

The filter criteria for this dynamic group. A comma separated set of regular expressions to apply

exactTagsintegerOptional

When filtering by Tags, should we use exact match?

logicalOperatorstringOptional

When filtering by Tags, which logical operator should be used? AND|OR

folderIdintegerOptional

Folder ID to which this object should be assigned to

ref1stringOptional

Reference 1

ref2stringOptional

Reference 2

ref3stringOptional

Reference 3

ref4stringOptional

Reference 4

ref5stringOptional

Reference 5

Responses
200

successful operation

application/json

Class DisplayGroup

displayGroupIdintegerOptional

The displayGroup Id

displayGroupstringOptional

The displayGroup Name

descriptionstringOptional

The displayGroup Description

isDisplaySpecificintegerOptional

A flag indicating whether this displayGroup is a single display displayGroup

isDynamicintegerOptional

A flag indicating whether this displayGroup is dynamic

dynamicCriteriastringOptional

Criteria for this dynamic group. A comma separated set of regular expressions to apply

dynamicCriteriaLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple dynamic criteria? OR|AND

dynamicCriteriaTagsstringOptional

Criteria for this dynamic group. A comma separated set of tags to apply

dynamicCriteriaExactTagsintegerOptional

Flag indicating whether to filter by exact Tag match

dynamicCriteriaTagsLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Tags? OR|AND

userIdintegerOptional

The UserId who owns this display group

bandwidthLimitintegerOptional

The display bandwidth limit

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this DisplayGroup

createdDtstringOptional

The datetime this entity was created

modifiedDtstringOptional

The datetime this entity was last modified

folderIdintegerOptional

The id of the Folder this Display Group belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Display Group

ref1stringOptional

Optional Reference 1

ref2stringOptional

Optional Reference 2

ref3stringOptional

Optional Reference 3

ref4stringOptional

Optional Reference 4

ref5stringOptional

Optional Reference 5

put/displaygroup/{displayGroupId}
PUT /api/displaygroup/{displayGroupId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 277

"displayGroup='text'&description='text'&tags='text'&isDynamic=1&dynamicCriteria='text'&logicalOperatorName='text'&dynamicCriteriaTags='text'&exactTags=1&logicalOperator='text'&folderId=1&ref1='text'&ref2='text'&ref3='text'&ref4='text'&ref5='text'"
200

successful operation

{
  "displayGroupId": 1,
  "displayGroup": "text",
  "description": "text",
  "isDisplaySpecific": 1,
  "isDynamic": 1,
  "dynamicCriteria": "text",
  "dynamicCriteriaLogicalOperator": "text",
  "dynamicCriteriaTags": "text",
  "dynamicCriteriaExactTags": 1,
  "dynamicCriteriaTagsLogicalOperator": "text",
  "userId": 1,
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "bandwidthLimit": 1,
  "groupsWithPermissions": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "folderId": 1,
  "permissionsFolderId": 1,
  "ref1": "text",
  "ref2": "text",
  "ref3": "text",
  "ref4": "text",
  "ref5": "text"
}

Delete a Display Group

delete

Delete an existing Display Group identified by its Id

Path parameters
displayGroupIdintegerRequired

The displayGroupId to delete

Responses
204

successful operation

No content

delete/displaygroup/{displayGroupId}
DELETE /api/displaygroup/{displayGroupId} HTTP/1.1
Accept: */*
204

successful operation

No content

Assign one or more Displays to a Display Group

post

Adds the provided Displays to the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to assign to

Body
displayIdinteger[]Required

The Display Ids to assign

unassignDisplayIdinteger[]Optional

An optional array of Display IDs to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/display/assign
POST /api/displaygroup/{displayGroupId}/display/assign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 41

"displayId=[1]&unassignDisplayId=[1]"
204

successful operation

No content

Unassigns one or more Displays to a Display Group

post

Removes the provided Displays from the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to unassign from

Body
displayIdinteger[]Required

The Display Ids to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/display/unassign
POST /api/displaygroup/{displayGroupId}/display/unassign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 17

"displayId=[1]"
204

successful operation

No content

Assign one or more DisplayGroups to a Display Group

post

Adds the provided DisplayGroups to the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to assign to

Body
displayGroupIdinteger[]Required

The displayGroup Ids to assign

unassignDisplayGroupIdinteger[]Optional

An optional array of displayGroup IDs to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/displayGroup/assign
POST /api/displaygroup/{displayGroupId}/displayGroup/assign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 51

"displayGroupId=[1]&unassignDisplayGroupId=[1]"
204

successful operation

No content

Unassigns one or more DisplayGroups to a Display Group

post

Removes the provided DisplayGroups from the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to unassign from

Body
displayGroupIdinteger[]Required

The DisplayGroup Ids to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/displayGroup/unassign
POST /api/displaygroup/{displayGroupId}/displayGroup/unassign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 22

"displayGroupId=[1]"
204

successful operation

No content

Assign one or more Media items to a Display Group

post

Adds the provided Media to the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to assign to

Body
mediaIdinteger[]Required

The Media Ids to assign

unassignMediaIdinteger[]Optional

Optional array of Media Id to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/media/assign
POST /api/displaygroup/{displayGroupId}/media/assign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 37

"mediaId=[1]&unassignMediaId=[1]"
204

successful operation

No content

Unassign one or more Media items from a Display Group

post

Removes the provided from the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to unassign from

Body
mediaIdinteger[]Required

The Media Ids to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/media/unassign
POST /api/displaygroup/{displayGroupId}/media/unassign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 15

"mediaId=[1]"
204

successful operation

No content

Assign one or more Layouts items to a Display Group

post

Adds the provided Layouts to the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to assign to

Body
layoutIdinteger[]Required

The Layouts Ids to assign

unassignLayoutIdinteger[]Optional

Optional array of Layouts Id to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/layout/assign
POST /api/displaygroup/{displayGroupId}/layout/assign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 39

"layoutId=[1]&unassignLayoutId=[1]"
204

successful operation

No content

Unassign one or more Layout items from a Display Group

post

Removes the provided from the Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group to unassign from

Body
layoutIdinteger[]Required

The Layout Ids to unassign

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/layout/unassign
POST /api/displaygroup/{displayGroupId}/layout/unassign HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 16

"layoutId=[1]"
204

successful operation

No content

Action: Collect Now

post

Send the collect now action to this DisplayGroup

Path parameters
displayGroupIdintegerRequired

The display group id

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/collectNow
POST /api/displaygroup/{displayGroupId}/action/collectNow HTTP/1.1
Accept: */*
204

successful operation

No content

Action: Clear Stats and Logs

post

Clear all stats and logs on this Group

Path parameters
displayGroupIdintegerRequired

The display group id

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/clearStatsAndLogs
POST /api/displaygroup/{displayGroupId}/action/clearStatsAndLogs HTTP/1.1
Accept: */*
204

successful operation

No content

Action: Change Layout

post

Send a change layout action to the provided Display Group. This will be sent to Displays in that Group via XMR.

Path parameters
displayGroupIdintegerRequired

This can be either a Display Group or the Display specific Display Group

Body
layoutIdintegerOptional

The ID of the Layout to change to. Either this or a campaignId must be provided.

campaignIdintegerOptional

The Layout specific campaignId of the Layout to change to. Either this or a layoutId must be provided.

durationintegerOptional

The duration in seconds for this Layout change to remain in effect, after which normal scheduling is resumed.

downloadRequiredintegerOptional

Flag indicating whether the player should perform a collect before playing the Layout.

changeModestringRequired

Whether to queue or replace with this action. Queuing will keep the current change layout action and switch after it is finished. If no active change layout action is present, both options are actioned immediately

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/changeLayout
POST /api/displaygroup/{displayGroupId}/action/changeLayout HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 83

"layoutId=1&campaignId=1&duration=1&downloadRequired=1&changeMode='text'"
204

successful operation

No content

Action: Revert to Schedule

post

Send the revert to schedule action to this DisplayGroup

Path parameters
displayGroupIdintegerRequired

This can be either a Display Group or the Display specific Display Group

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/revertToSchedule
POST /api/displaygroup/{displayGroupId}/action/revertToSchedule HTTP/1.1
Accept: */*
204

successful operation

No content

Action: Overlay Layout

post

Send the overlay layout action to this DisplayGroup, you can pass layoutId or layout specific campaignId

Path parameters
displayGroupIdintegerRequired

This can be either a Display Group or the Display specific Display Group

Body
layoutIdintegerRequired

The ID of the Layout to change to. Either this or a campaignId must be provided.

campaignIdintegerOptional

The Layout specific campaignId of the Layout to change to. Either this or a layoutId must be provided.

durationintegerOptional

The duration in seconds for this Overlay to remain in effect

downloadRequiredintegerOptional

Whether to queue or replace with this action. Queuing will keep the current change layout action and switch after it is finished. If no active change layout action is present, both options are actioned immediately

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/overlayLayout
POST /api/displaygroup/{displayGroupId}/action/overlayLayout HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 63

"layoutId=1&campaignId=1&duration=1&downloadRequired=1"
204

successful operation

No content

Send Command

post

Send a predefined command to this Group of Displays

Path parameters
displayGroupIdintegerRequired

The display group id

Body
commandIdintegerRequired

The Command Id

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/command
POST /api/displaygroup/{displayGroupId}/action/command HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 15

"commandId=1"
204

successful operation

No content

Copy Display Group

post

Copy an existing Display Group

Path parameters
displayGroupIdintegerRequired

The Display Group ID

Body
displayGroupstringRequired

The name for the copy

descriptionstringOptional

The description for the copy

copyMembersintegerOptional

Flag indicating whether to copy all display and display group members

copyAssignmentsintegerOptional

Flag indicating whether to copy all layout and media assignments

copyTagsintegerOptional

Flag indicating whether to copy all tags

Responses
201

successful operation

application/json
post/displaygroup/{displayGroupId}/copy
POST /api/displaygroup/{displayGroupId}/copy HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 93

"displayGroup='text'&description='text'&copyMembers=1&copyAssignments=1&copyTags=1"
201

successful operation

{
  "displayGroupId": 1,
  "displayGroup": "text",
  "description": "text",
  "isDisplaySpecific": 1,
  "isDynamic": 1,
  "dynamicCriteria": "text",
  "dynamicCriteriaLogicalOperator": "text",
  "dynamicCriteriaTags": "text",
  "dynamicCriteriaExactTags": 1,
  "dynamicCriteriaTagsLogicalOperator": "text",
  "userId": 1,
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "bandwidthLimit": 1,
  "groupsWithPermissions": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "folderId": 1,
  "permissionsFolderId": 1,
  "ref1": "text",
  "ref2": "text",
  "ref3": "text",
  "ref4": "text",
  "ref5": "text"
}

Display Group Select folder

put

Select Folder for Display Group, can also be used with Display specific Display Group ID

Path parameters
idintegerRequired

The Display Group ID or Display specific Display Group ID

Body
folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
200

successful operation

application/json

Class DisplayGroup

displayGroupIdintegerOptional

The displayGroup Id

displayGroupstringOptional

The displayGroup Name

descriptionstringOptional

The displayGroup Description

isDisplaySpecificintegerOptional

A flag indicating whether this displayGroup is a single display displayGroup

isDynamicintegerOptional

A flag indicating whether this displayGroup is dynamic

dynamicCriteriastringOptional

Criteria for this dynamic group. A comma separated set of regular expressions to apply

dynamicCriteriaLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple dynamic criteria? OR|AND

dynamicCriteriaTagsstringOptional

Criteria for this dynamic group. A comma separated set of tags to apply

dynamicCriteriaExactTagsintegerOptional

Flag indicating whether to filter by exact Tag match

dynamicCriteriaTagsLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Tags? OR|AND

userIdintegerOptional

The UserId who owns this display group

bandwidthLimitintegerOptional

The display bandwidth limit

groupsWithPermissionsstringOptional

A comma separated list of groups/users with permissions to this DisplayGroup

createdDtstringOptional

The datetime this entity was created

modifiedDtstringOptional

The datetime this entity was last modified

folderIdintegerOptional

The id of the Folder this Display Group belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Display Group

ref1stringOptional

Optional Reference 1

ref2stringOptional

Optional Reference 2

ref3stringOptional

Optional Reference 3

ref4stringOptional

Optional Reference 4

ref5stringOptional

Optional Reference 5

put/displaygroup/{id}/selectfolder
PUT /api/displaygroup/{id}/selectfolder HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"folderId=1"
200

successful operation

{
  "displayGroupId": 1,
  "displayGroup": "text",
  "description": "text",
  "isDisplaySpecific": 1,
  "isDynamic": 1,
  "dynamicCriteria": "text",
  "dynamicCriteriaLogicalOperator": "text",
  "dynamicCriteriaTags": "text",
  "dynamicCriteriaExactTags": 1,
  "dynamicCriteriaTagsLogicalOperator": "text",
  "userId": 1,
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "bandwidthLimit": 1,
  "groupsWithPermissions": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "folderId": 1,
  "permissionsFolderId": 1,
  "ref1": "text",
  "ref2": "text",
  "ref3": "text",
  "ref4": "text",
  "ref5": "text"
}

Action: Trigger Web hook

post

Send the trigger webhook action to this DisplayGroup

Path parameters
displayGroupIdintegerRequired

The display group id

Body
triggerCodestringRequired

The trigger code that should be sent to the Player

Responses
204

successful operation

No content

post/displaygroup/{displayGroupId}/action/triggerWebhook
POST /api/displaygroup/{displayGroupId}/action/triggerWebhook HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 22

"triggerCode='text'"
204

successful operation

No content

Action: Push Criteria Update

post

Send criteria updates to the specified DisplayGroup or to all displays if displayGroupId is not provided.

Path parameters
displayGroupIdintegerRequired

The display group id

Bodyobject[]
metricstringOptional
valuestringOptional
ttlintegerOptional
Responses
204

Successful operation

No content

post/displaygroup/criteria[/{displayGroupId}]
POST /api/displaygroup/criteria[/{displayGroupId}] HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 42

[
  {
    "metric": "text",
    "value": "text",
    "ttl": 1
  }
]

No content

Last updated

Was this helpful?